# Uses of Class
org.apache.sysds.parser.DataExpression

Packages that use DataExpression
Package
Description
org.apache.sysds.parser

## Uses of DataExpression in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return DataExpression
Modifier and Type
Method
Description
`static DataExpression`
DataExpression.`getDataExpression(String functionName, ArrayList<ParameterExpression> passedParamExprs, ParseInfo parseInfo, CustomErrorListener errorListener)`
`static DataExpression`
DataExpression.`getDataExpression(org.antlr.v4.runtime.ParserRuleContext ctx, String functionName, ArrayList<ParameterExpression> passedParamExprs, String filename, CustomErrorListener errorListener)`
`DataExpression`
OutputStatement.`getSource()`
Methods in org.apache.sysds.parser with parameters of type DataExpression
Modifier and Type
Method
Description
`void`
OutputStatement.`setExprParams(DataExpression newParamerizedExpr)`